package org.sf.charttaglibs.charts;

import java.util.Iterator;

import javax.servlet.jsp.JspException;

import org.jfree.chart.ChartFactory;
import org.jfree.data.general.DefaultPieDataset;

/**
 * Class that build ring chart
 * @author mmohamed |at| dcc |dot| uchile |dot| cl
 */
public class RingTag extends PieBasedChart {

    /**
     * Overrides the initChart method of BaseChartTag
     * @see org.sf.charttaglibs.BaseChartTag#initChart()
     */
	public void initChart() throws JspException {
		if (collection != null) {
			Iterator collIterator = getIterator(collection, null);
			DefaultPieDataset dataset = getDataSet();
			chart = null;
			
			chart = ChartFactory.createRingChart(
					title,
					dataset,
					createLegend, // legend?
					createTooltip, // tooltips?
					createUrl // URLs?
			);
		}
	}	
}

